<script lang="ts">
    import { onDestroy } from 'svelte';
    import { writable } from 'svelte/store';
  
    interface Document {
      name: string;
      path: string;
      niveau: string;
    }
  
    const documents: Document[] = [
      { name: 'Document 1', path: '/pdf/document1.pdf', niveau: '10LS' },
      { name: 'Document 2', path: '/pdf/document2.pdf', niveau: '10LS' },
      { name: 'Document 3', path: '/pdf/document3.pdf', niveau: 'Niveau A' },
      // Add more documents as needed
    ];
  
    const texteRecherche = writable<string>('');
    const filteredDocuments = derived(
      [texteRecherche],
      ([$texteRecherche]) => getFilteredDocuments($texteRecherche)
    );
  
    onDestroy(() => {
      texteRecherche.set('');
    });
  
    function getFilteredDocuments(texteRecherche: string): Document[] {
      if (texteRecherche === '') return documents;
      const motsCherches = texteRecherche.trim().toLowerCase().split(' ');
      return documents.filter(doc =>
        motsCherches.every(mot =>
          doc.name.toLowerCase().includes(mot) ||
          doc.niveau.toLowerCase().includes(mot)
        )
      );
    }
  </script>
  
  <svelte:head>
    <title>Liste des documents - gemaths</title>
  </svelte:head>
  
  <div class="w-screen max-w-screen-lg">
    <input
      class="p-1 text-center text-sm md:text-2xl"
      type="text"
      placeholder="Recherche"
      bind:value={$texteRecherche}
    />
  
    <div class="mt-4">
      {#each $filteredDocuments as document}
        <div class="p-2 border-b border-gray-200">
          <a href={document.path} target="_blank" rel="noopener noreferrer">
            <span class="text-lg font-semibold">{document.name}</span> - {document.niveau}
          </a>
        </div>
      {/each}
    </div>
  </div>
  